List Genres
curl --request GET \
--url https://scrapebadger.com/v1/app-store/genres \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/app-store/genres"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/app-store/genres', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result_count": 123,
"genres": [
{
"genre_id": 123,
"name": "<string>",
"parent_id": 123
}
]
}Endpoints
List Genres
App Store genre ids for use with /charts?genre=. Free.
GET
/
v1
/
app-store
/
genres
List Genres
App Store genre ids, for use with
/charts?genre=. Static reference
data, so this endpoint is free.
Credits: 0
Every id listed is verified to return a non-empty chart. Four ids Apple
still documents are deliberately absent because their feeds come back empty —
Catalogs (6022), Stickers (6025), Games/Dice (7007) and Games/Educational
(7008). They can still appear in an app’s own
genre_ids; they just cannot
be charted.Authorization
string
required
Your ScrapeBadger API key.
Response
integer
Genres returned (40).
Genre[]
Example
curl "https://scrapebadger.com/v1/app-store/genres" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch("https://scrapebadger.com/v1/app-store/genres", {
headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY },
});
const { genres } = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/app-store/genres",
headers={"X-API-Key": "YOUR_API_KEY"},
)
genres = res.json()["genres"]
Response
{
"result_count": 40,
"genres": [
{ "genre_id": 6000, "name": "Business", "parent_id": null },
{ "genre_id": 6005, "name": "Social Networking", "parent_id": null },
{ "genre_id": 6007, "name": "Productivity", "parent_id": null },
{ "genre_id": 6014, "name": "Games", "parent_id": null },
{ "genre_id": 7012, "name": "Games/Puzzle", "parent_id": 6014 }
]
}
⌘I

